textures/copium_misc/booster
{
	qer_editorImage "textures/copium_color/red.jpg"
	qer_trans 0.5
	q3map_lightRGB 1 0 0
	q3map_surfaceLight 70
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm nonSolid
	surfaceParm trans
	{
		map "textures/copium_color/red.jpg"
		blendFunc blend
		alphaGen const 0.5
		RGBGen wave sin 0.5 0.3 0.5 0.3
	}
}

textures/copium_misc/floor:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm pavement
}

textures/copium_misc/glass
{
	qer_editorImage "textures/copium_color/white.tga"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm slick
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map "textures/copium_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/copium_misc/glass_noslick
{
	qer_editorImage "textures/copium_color/white.jpg"
	qer_trans 0.5
	q3map_lightRGB 0.8 1 1
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm trans
	{
		map $whiteimage
		blendFunc blend
		alphaGen const 0.1
	}
	{
		map "textures/copium_misc/qer/tint.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/copium_misc/portal
{
	qer_editorImage "textures/copium_misc/portal.tga"
	qer_trans 0.7
	surfaceParm detail
	surfaceParm nonSolid
	{
		map "textures/copium_misc/portal.tga"
		tcMod scroll 0 1
	}
}

textures/copium_misc/stone:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm pavement
}

textures/copium_misc/wood:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/copium_misc/woodshoot:q3map
{
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
}

textures/copium_misc/wood_h
{
	qer_editorImage "textures/copium_misc/wood.jpg"
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	surfaceParm noDamage
	surfaceParm softWood
	surfaceParm nonSolid
	{
		map $lightmap
		RGBGen identity
	}
	{
		map "textures/copium_misc/wood.jpg"
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

/////////////////////////////////////////////////////////////////////
// VANILLA SKY - BY AVOC @ eft-clan.com
// If you wish to use this sky, please leave this part in the shader
// or give proper credit in the readme
/////////////////////////////////////////////////////////////////////

textures/copium_misc/vanilla_sky
{
	qer_editorimage textures/copium_misc/vanilla_sky_up.jpg
	
	skyParms textures/copium_misc/vanilla_sky 2048 -

	q3map_sunExt 0.90 0.80 0.85 200 220 35	// R G B Intensity Angle Pitch


	q3map_skylight 100 4                    //amount iterations
	q3map_noFog

	surfaceparm sky                         //flags compiler that this is sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	nopicmip
	nomipmaps

	{
		map textures/copium_misc/vanilla_clouds.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcMod scroll -0.025 0.025
		tcmod scale 1 1
	}

}


textures/copium_misc/tele_rasp
{      
	qer_editorImage textures/copium_misc/teleport_raspberry.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfaceLight 100
	q3map_lightSubdivide 512
	q3map_bounceScale 0.15
	cull none
	noPicMip 
	deformVertexes autosprite
	{
		clampMap textures/copium_misc/teleglow_raspberry.tga
		blendFunc filter
		alphaGen vertex
		//tcMod stretch sin 0.4 0.1 0 0.8
		//alphagen wave sin .75 .5 .6 1.5
		//alphaGen const 0.1
	}
	{
		clampMap textures/copium_misc/teleport_raspberry.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
		
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/copium_misc/teleport_raspberry.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
		alphagen wave sin .75 .5 .6 1.5
	}
	{
		clampMap textures/copium_misc/teleport_raspberry.tga
		blendFunc filter
		alphaGen vertex
		tcMod stretch sin 0.7 0.25 0.6 1.0
		tcMod rotate 11
		alphagen wave sin .75 .5 .6 1.5
	}
}